libsigc++ 2.0: sigc::lambda_group3< T_functor, T_type1, T_type2, T_type3 > Struct Template Reference

Main Page Groups Namespaces

# sigc::lambda_group3< T_functor, T_type1, T_type2, T_type3 > Struct Template Reference

Inheritance diagram for sigc::lambda_group3< T_functor, T_type1, T_type2, T_type3 >:

[legend]

List of all members.

## Public Types
typedef functor_trait < T_functor > ::result_type | result_type
typedef lambda < T_type1 > ::lambda_type | value1_type
typedef lambda < T_type2 > ::lambda_type | value2_type
typedef lambda < T_type3 > ::lambda_type | value3_type
typedef adaptor_trait < T_functor > ::adaptor_type | functor_type
## Public Member Functions
result_type | operator() () const
template<class T_arg1>
deduce_result_type <T_arg1>::type | operator() (T_arg1 _A_1) const
template<class T_arg1>
deduce_result_type <T_arg1>::type | sun_forte_workaround (T_arg1 _A_1) const
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
| lambda_group3 (typename type_trait<T_functor>::take _A_func, typename type_trait<T_type1>::take _A_1, typename type_trait<T_type2>::take _A_2, typename type_trait<T_type3>::take _A_3)
## Public Attributes
value1_type | value1_
value2_type | value2_
value3_type | value3_
functor_type | func_
## Classes
struct | deduce_result_type

### template <class T_functor, class T_type1, class T_type2, class T_type3>
struct sigc::lambda_group3< T_functor, T_type1, T_type2, T_type3 >

## Member Typedef Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3>

typedef functor_trait<T_functor>::result_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::result_type

template <class T_functor, class T_type1, class T_type2, class T_type3>

typedef lambda<T_type1>::lambda_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::value1_type

template <class T_functor, class T_type1, class T_type2, class T_type3>

typedef lambda<T_type2>::lambda_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::value2_type

template <class T_functor, class T_type1, class T_type2, class T_type3>

typedef lambda<T_type3>::lambda_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::value3_type

template <class T_functor, class T_type1, class T_type2, class T_type3>

typedef adaptor_trait<T_functor>::adaptor_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::functor_type

## Constructor & Destructor Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3>

sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::lambda_group3 | ( | typename type_trait<T_functor>::take | _A_func,
|  | typename type_trait<T_type1>::take | _A_1,
|  | typename type_trait<T_type2>::take | _A_2,
|  | typename type_trait<T_type3>::take | _A_3 |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3>

lambda_group3<T_functor, T_type1, T_type2, T_type3>::result_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( |  | ) | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1 | ) | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7 |
| ) |  |  | const`[inline]`

template <class T_functor, class T_type1, class T_type2, class T_type3>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7 |
| ) |  |  | const`[inline]`

## Member Data Documentation

template <class T_functor, class T_type1, class T_type2, class T_type3>

value1_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::value1_

template <class T_functor, class T_type1, class T_type2, class T_type3>

value2_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::value2_

template <class T_functor, class T_type1, class T_type2, class T_type3>

value3_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::value3_

template <class T_functor, class T_type1, class T_type2, class T_type3>

functor_type sigc::lambda_group3<T_functor, T_type1, T_type2, T_type3>::func_`[mutable]`

The documentation for this struct was generated from the following file:

- group.h